pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Problem(s) building and running pkgsrc-built perl on AIX 5.3


first I planned to add more own research, but I run into a conflict which 
requires a solution quickly.
When I build perl using gcc (xlC won't run but gcc does - the loved time 
...), during build the
problem came up, that perl configure doesn't recognize the pkgsrc cc and 
ld-wrappers but
uses ld from /usr/bin and tried to replace cc by cc_r and fails, because 
there is none.
When I set CC=gcc etc., redo the build, than the ld flags are wrong (e.g. 
containing -Wl,).

These problems I could work around using sed - but one problem remains:
Without linking 
${PREFIX}/lib/perl5/5.8.0/powerpc-aix-thread-multi/CORE/libperl.a to 
invoking perl fails with:
Could not load program /opt/pkgsrc/bin/perl:
        Dependent module libperl.a(libperl.o) could not be loaded.
Could not load module libperl.a(libperl.o).
System error: No such file or directory

When I create this link ($PREFIX/lib is in LIBPATH), /usr/bin/perl dumps 

Any ideas how to solve this problem (and maybe the build problems, too)?

Best Regards
Jens Rehsack

Home | Main Index | Thread Index | Old Index